Package org.kapott.hbci.GV_Result

# Class GVRWPDepotUms

java.lang.Object
org.kapott.hbci.GV_Result.HBCIJobResultImpl
org.kapott.hbci.GV_Result.GVRWPDepotUms

All Implemented Interfaces:
  `Serializable`, `HBCIJobResult`

public final class GVRWPDepotUms extends HBCIJobResultImpl
Ergebnisdaten für die Abfrage von Depotumsätzen Diese Klasse enthält für jedes Depot ein separates Datenobjekt. Innerhalb eines Depots werden für jede in diesem Depot vorhandene Wertpapiergattung separate Datenobjekte gehalten. Für jede Wertpapiergattung wiederum gibt es u.U. mehrere Objekte, die Umsatzinformationen enthalten.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`GVRWPDepotUms.Entry`
Ein Eintrag zu genau einem Depot

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`rest`
Dieses Feld enthält einen String, der den nicht-auswertbaren Teil der gelieferten Informationen enthält.

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

## Constructor Summary

Constructors
Constructor
Description
`GVRWPDepotUms()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addEntry(GVRWPDepotUms.Entry ums)`
`GVRWPDepotUms.Entry[]`
`getEntries()`
Gibt ein Array mit Depotdaten zurück, wobei jeder Eintrag Informationen zu genau einem Depot enthält.
`String`
`toString()`

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### rest

public String rest
Dieses Feld enthält einen String, der den nicht-auswertbaren Teil der gelieferten Informationen enthält. Es dient nur zu Debugging-Zwecken und sollte eigentlich immer `null` bzw. einen leeren String enthalten. Wenn das nicht der Fall ist, dann konnten die empfangenen Daten nicht richtig geparst werden, und dieser String enthält den "Schwanz" der Daten, bei dem das Parsing-Problem aufgetreten ist.

## Constructor Details

### GVRWPDepotUms

public GVRWPDepotUms()

## Method Details

### addEntry

public void addEntry(GVRWPDepotUms.Entry ums)

### getEntries

public GVRWPDepotUms.Entry[] getEntries()
Gibt ein Array mit Depotdaten zurück, wobei jeder Eintrag Informationen zu genau einem Depot enthält.

Returns:
  Array mit Depotinformationen

### toString

public String toString()

Overrides:
  `toString` in class `HBCIJobResultImpl`